Nie jesteś zalogowany na forum.

#1 2018-11-07 07:47:12

dudik24
Użytkownik
Data rejestracji: 2015-12-07
Liczba postów: 36

System się nie aktualizuje

Od około 2 tygodni nie aktualizuje mi się system.
Komunikaty są takie:

su -c "pacman -Syu"
Hasło:
:: Synchronizowanie baz danych z pakietami…
core jest aktualne
extra jest aktualne
community jest aktualne
archlinuxfr jest aktualne
multilib jest aktualne
:: Rozpoczynanie pełnej aktualizacji systemu…
ostrzeżenie: pacman: ignorowanie aktualizacji pakietu (5.1.0-2 => 5.1.1-1)
nie ma nic do zrobienia

Jak sobie z tym poradzić?

Offline

#2 2018-11-07 08:04:07

dracorp
Użytkownik
Lokalizacja: Poland, Gdańsk
Data rejestracji: 2015-09-06
Liczba postów: 94
WWW

Odp: System się nie aktualizuje

Poczekać albo użyć podwójnego yy

Offline

#3 2018-11-07 08:19:17

dudik24
Użytkownik
Data rejestracji: 2015-12-07
Liczba postów: 36

Odp: System się nie aktualizuje

Podwójne y pomogło o tyle, że ściągnęły się aktualizacje repozytoriów, ale żaden pakiet nie został uaktualniony.
Wydaje mi się nieprawdopodobne aby tak było istotnie od dwóch tygodni.

su -c "pacman -Syyu"
Hasło:
:: Synchronizowanie baz danych z pakietami…
core                                                       136,3 KiB  1108K/s 00:00 [################################################] 100%
extra                                                     1652,4 KiB  1802K/s 00:01 [################################################] 100%
community                                                    4,7 MiB  1798K/s 00:03 [################################################] 100%
archlinuxfr                                                 11,4 KiB  3,72M/s 00:00 [################################################] 100%
multilib                                                   174,3 KiB  1854K/s 00:00 [################################################] 100%
:: Rozpoczynanie pełnej aktualizacji systemu…
ostrzeżenie: pacman: ignorowanie aktualizacji pakietu (5.1.0-2 => 5.1.1-1)
nie ma nic do zrobienia
[tata@tat ~]$

Offline

#4 2018-11-07 11:25:43

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,577
WWW

Odp: System się nie aktualizuje

Pokaż:

cat /etc/pacman.conf

Dlaczego do tego pliku w IgnorePkg wstawiłeś pacman?


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb, amdgpu (dla CIK), KDE, patche z POLAUR, Qt 5.12beta4, KF5.52 (build na Qt5.12), qt5-webkit (build na Qt5.12), Plasma 5.14.3 (build na KF5.52)

Online

#5 2018-11-07 11:58:37

dudik24
Użytkownik
Data rejestracji: 2015-12-07
Liczba postów: 36

Odp: System się nie aktualizuje

pavbaranov napisał/a:

Pokaż:

cat /etc/pacman.conf

Dlaczego do tego pliku w IgnorePkg wstawiłeś pacman?

cat /etc/pacman.conf
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -C - -f %u > %o
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
#UseDelta    = 0.7
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg   = pacman*

#IgnoreGroup =

#NoUpgrade   =
NoExtract   = usr/share/locale/* !usr/share/locale/pl/* !usr/share/locale/en_US/* !usr/share/locale/locale.alias usr/share/man/* !usr/share/man/man*

# Misc options
#UseSyslog
Color
#TotalDownload
CheckSpace
#VerbosePkgLists

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.


SigLevel    = Required DatabaseOptional
#Siglevel = Never

LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Arch Linux
# packagers with `pacman-key --populate archlinux`.

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#

# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

#[testing]
#Include = /etc/pacman.d/mirrorlist

[core]
Include = /etc/pacman.d/mirrorlist

[extra]
Include = /etc/pacman.d/mirrorlist

#[community-testing]
#Include = /etc/pacman.d/mirrorlist

[community]
Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[multilib-testing]
#Include = /etc/pacman.d/mirrorlist

[archlinuxfr]
Server = http://repo.archlinux.fr/x86_64

[multilib]
Include = /etc/pacman.d/mirrorlist

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#SigLevel = Optional TrustAll
#Server = file:///home/custompkgs

Wpisałem tam pacmana bo dalej używam yaourta i nie chce mi się szukać innych sposobów instalacji pakietów z AUR.

Offline

#6 2018-11-07 12:24:26

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,577
WWW

Odp: System się nie aktualizuje

dudik24 napisał/a:

Wpisałem tam pacmana bo dalej używam yaourta i nie chce mi się szukać innych sposobów instalacji pakietów z AUR.

To masz przyczynę braku możliwości aktualizacji.
Możesz:
- wyrzucić pacman z IgnorePkg - aktualizacja przejdzie,
- nie wyrzucać pacman z IgnorePkg z powodu yaourt - aktualizacja nie przejdzie.

Przy okazji - obecny yaourt wymaga wyłącznie pacman>=5.0 a zatem będzie (powinien) nadal działać w pierwszej sytuacji.

PS: Wrzucanie jakiejkolwiek paczki systemowej (czyt. z repozytoriów) ze względu na jakąś paczkę z AUR jest proszeniem się o kłopoty i wadliwe działanie systemu. To paczki z AUR mają dostosowywać się do paczek w repozytoriach, a nie odwrotnie. To co robisz prowadzi do tzw. częściowej aktualizacji Archa, która nie jest wspierana, a w konsekwencji (w zależności od tego jaka paczka trafi do IgnorePkg) doprowadzić może do tego, że pięknego dnia, po jakiejś "aktualizacji" :) nie będziesz mógł w ogóle wejść do systemu. Oczywiście Twój wybór, to Twój system i robisz co chcesz.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb, amdgpu (dla CIK), KDE, patche z POLAUR, Qt 5.12beta4, KF5.52 (build na Qt5.12), qt5-webkit (build na Qt5.12), Plasma 5.14.3 (build na KF5.52)

Online

#7 2018-11-07 16:28:19

dudik24
Użytkownik
Data rejestracji: 2015-12-07
Liczba postów: 36

Odp: System się nie aktualizuje

Zainstalowanie najnowszego pacmana ani usunięcie go z IgnorePkg nie zmienia sytuacji.
W dalszym ciągu nic się nie instaluje

P.S.
Pacman w wersji 5.1.1-1

Ostatnio edytowany przez dudik24 (2018-11-07 16:34:16)

Offline

#8 2018-11-07 16:35:53

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,577
WWW

Odp: System się nie aktualizuje

dudik24 napisał/a:

Zainstalowanie najnowszego pacmana ani usunięcie go z IgnorePkg nie zmienia sytuacji.
W dalszym ciągu nic się nie instaluje

Dwie sprzeczne informacje: "zainstalowanie najnowszego pacmana" - wyklucza stwierdzenie "nic się nie instaluje", skoro zainstalowałeś pacmana właśnie w nowej wersji.

W /etc/pacman.conf ma być:

IgnorePkg   = 

Po czymś takim:

pacman -Syu

I poprosimy o efekt.
Poprosimy również o wynik:

pacman -Qu

Skąd pewność, że coś do aktualizacji jest?
Jak dawno aktualizowałeś listę udostępnionych pacmanowi mirrorów? (Nie, nie plik archlinux-mirrorlist, a listę mirrorów, bo to nie to samo).


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb, amdgpu (dla CIK), KDE, patche z POLAUR, Qt 5.12beta4, KF5.52 (build na Qt5.12), qt5-webkit (build na Qt5.12), Plasma 5.14.3 (build na KF5.52)

Online

#9 2018-11-07 16:51:01

dudik24
Użytkownik
Data rejestracji: 2015-12-07
Liczba postów: 36

Odp: System się nie aktualizuje

Ściągnąłem na dysk pakiet pacman-5.1.1-1-x86_64.pkg.tar.xz i zainstalowałem przez pacman -U

root@tat pkg]# pacman -Ss pacman | grep zainstalowano
core/pacman 5.1.1-1 (base base-devel) [zainstalowano]
core/pacman-mirrorlist 20180912-1 [zainstalowano]
[root@tat pkg]#

Po pacman -Qu nie ma nic.

Do instalacji jest z samego core : systemd, curl, lvm2 i kilka innych.

Offline

#10 2018-11-07 16:54:25

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,577
WWW

Odp: System się nie aktualizuje

Że się samozacytuję :) :

pavbaranov napisał/a:

Jak dawno aktualizowałeś listę udostępnionych pacmanowi mirrorów? (Nie, nie plik archlinux-mirrorlist, a listę mirrorów, bo to nie to samo).

Zaktualizuj mirrory, bo na 99% masz stare.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb, amdgpu (dla CIK), KDE, patche z POLAUR, Qt 5.12beta4, KF5.52 (build na Qt5.12), qt5-webkit (build na Qt5.12), Plasma 5.14.3 (build na KF5.52)

Online

#11 2018-11-07 16:55:38

dudik24
Użytkownik
Data rejestracji: 2015-12-07
Liczba postów: 36

Odp: System się nie aktualizuje

Przepraszam za głupie pytanie ... ale jak to się robi?

P.S.  Już sobie poradziłem. Serwery były ze stycznia. Do pobrania mam 520MB.

Dziękuję za starania i rady. Zawsze można liczyć na Twoją pomoc pavbaranov.
Jeszcze raz dzięki

PPS

Co dziwne to yaourt działa

Ostatnio edytowany przez dudik24 (2018-11-07 17:06:29)

Offline

#12 2018-11-07 17:10:57

pavbaranov
Administrator
Lokalizacja: Kraków
Data rejestracji: 2015-08-22
Liczba postów: 1,577
WWW

Odp: System się nie aktualizuje

No pytanie głupie istotnie. A i niestosowne swoją drogą.
Wiki Archa, ich pierwsza strona z generatorem mirrorów się kłaniają, ba nawet jest stosowny plik: archlinux-mirrorlist do pobrania (w Twoim przypadku ze strony) i instalacji oraz podmiany mirrorlist na mirrorlist.pacnew. A mi się drugi raz dziennie nie chce pisać tego samego, zwłaszcza, że już kiedyś to nawet ja sam opisałem.


Hardware: AMD: A8-7410 APU with Radeon R5
Software (podaję wyłącznie odrębności): Arch testing+kde-unstable, kernel linux-pb, amdgpu (dla CIK), KDE, patche z POLAUR, Qt 5.12beta4, KF5.52 (build na Qt5.12), qt5-webkit (build na Qt5.12), Plasma 5.14.3 (build na KF5.52)

Online

Stopka

Napędzają nas PacmanVPS i MegiTeam

Forum oparte na FluxBB